std::_Maybe_unary_or_binary_function< _Res, _ArgTypes >(3)

NAME
std::_Maybe_unary_or_binary_function< _Res, _ArgTypes > -

SYNOPSIS

Detailed Description

  template<typename _Res, typename... _ArgTypes>struct std::_Maybe_unary_or_binary_function< _Res, _ArgTypes >
Derives from unary_function or binary_function, or perhaps nothing, depending on the number of arguments provided. The primary template is the basis case, which derives nothing.

Definition at line 527 of file functional.

Author

Generated automatically by Doxygen for libstdc++ from the source code.